
#
from System.Collections.Generic import List
from System import Byte, Int32
#



Places = [ [ 99, 1875, 0],
[ 82, 1875, 0],
[ 77, 1881, 0],
[ 77, 1891, 0],
[ 81, 1891, 0], 

]
def MoveToPlace(index):
    #Player.PathFindTo(tree.X, tree.Y, tree.Z)
    route = PathFinding.Route()
    route.X = Places[index][0]
    route.Y = Places[index][1]
    route.StopIfStuck = False
    route.IgnoreMobile = True
    route.UseResync = True    
    PathFinding.Go(route)

def ClaimCorpses():
    corpse_filter = Items.Filter()
    corpse_filter.Enabled = 1
    corpse_filter.IsCorpse = 1
    corpse_filter.OnGround = 1
    corpse_filter.RangeMin = -1
    corpse_filter.RangeMax = 5
    corpse_filter.Movable = False
    corpses = Items.ApplyFilter(corpse_filter)
    if corpses != None:
        for corpse in corpses: 
            if not Target.HasTarget():
                Player.ChatSay(52, "[claim")           
                Target.WaitForTarget(2000, False)
            if Target.HasTarget():
                Target.TargetExecute(corpse.Serial)
            else:
                Player.HeadMessage(54, "Something Wrong, Can't Claim")
            Misc.Pause(500)
    Target.Cancel()                          
    
def GoToEnemy():
    enemy_filter = Mobiles.Filter()
    enemy_filter.Enabled = True
    enemy_filter.RangeMin = -1
    enemy_filter.RangeMax = 10
    enemy_filter.CheckLineOfSite = True
    enemy_filter.Notorieties = List[Byte](bytes([4,5,6]))
    enemies = Mobiles.ApplyFilter(enemy_filter)
    if len(enemies) > 0:
        enemy = Mobiles.Select(enemies, 'Nearest') 
        route = PathFinding.Route()
        route.X = enemy.Position.X
        route.Y = enemy.Position.Y
        route.StopIfStuck = False
        route.IgnoreMobile = True
        route.UseResync = True    
        PathFinding.Go(route)
    
def AnyEnemies():
    enemy_filter = Mobiles.Filter()
    enemy_filter.Enabled = True
    enemy_filter.RangeMin = -1
    enemy_filter.RangeMax = 10
    enemy_filter.CheckLineOfSite = True
    enemy_filter.Notorieties = List[Byte](bytes([4,5,6]))
    enemies = Mobiles.ApplyFilter(enemy_filter)
    return len(enemies) > 0


while True:    
    for index in range(0, len(Places), 1):
        MoveToPlace(index)
        Misc.Pause(1000)
        foundEnemy = False
        while AnyEnemies():
            foundEnemy = True
            GoToEnemy()
            Misc.Pause(1000)
        if foundEnemy:            
            Misc.Pause(6000)
        ClaimCorpses()
            # wait a while for autoloot
    for index in range(len(Places)-1, -1, -1):
        MoveToPlace(index)
        Misc.Pause(1000)
        foundEnemy = False
        while AnyEnemies():
            foundEnemy = True
            GoToEnemy()            
            Misc.Pause(1000)
        if foundEnemy:
            Misc.Pause(6000)
        ClaimCorpses()            
            # wait a while for autoloot

#            